=== modified file 'loggerhead/tests/test_corners.py'
--- loggerhead/tests/test_corners.py	2009-03-16 18:54:39 +0000
+++ loggerhead/tests/test_corners.py	2009-04-02 20:32:12 +0000
@@ -34,6 +34,16 @@
         res = app.get('/revision/'+newrevid)
         res.mustcontain('executable')
 
+    def test_revision_escapes_commit_message(self):
+        """XXX."""
+        self.createBranch()
+
+        msg = '<b>hi</b>'
+        self.addFileAndCommit('myfilename', msg)
+        app = self.setUpLoggerhead()
+        res = app.get('/revision/1')
+        self.assertFalse(msg in res.body)
+
     def test_empty_commit_message(self):
         """Check that an empty commit message does not break the rendering."""
         self.createBranch()

=== modified file 'loggerhead/util.py'
--- loggerhead/util.py	2009-03-24 05:30:59 +0000
+++ loggerhead/util.py	2009-04-02 20:52:37 +0000
@@ -250,7 +250,7 @@
         except UnicodeDecodeError:
             s = s.decode('iso-8859-15')
 
-    s = s.expandtabs().replace(' ', NONBREAKING_SPACE)
+    s = cgi.escape(s).expandtabs().replace(' ', NONBREAKING_SPACE)
 
     return HSC.clean(s).replace('\n', '<br/>')
 

